/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.light-style .menu .app-brand.demo {
    height: 64px;
}

.dark-style .menu .app-brand.demo {
    height: 64px;
}

.app-brand-logo.demo {
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    display: -ms-flexbox;
    display: flex;
}
.app-brand-logo.demo img{
    width: 200px;
}

.app-brand-logo.demo svg {
    width: 35px;
    height: 24px;
}

.app-brand-text.demo {
    font-size: 1.375rem;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
    padding-top: 64px !important;
}
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
    padding-top: 78px !important;
}
/* Navbar page z-index issue solution */
.content-wrapper .navbar {
    z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
    display: block !important;
}

.demo-inline-spacing > * {
    margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
    margin-top: 1rem !important;
    margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
    margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
    margin-top: 1.875rem !important;
    margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
    margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
    margin-top: 5rem !important;
    margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
    margin-top: 0 !important;
}

.rtl-only {
    display: none !important;
    text-align: left !important;
    direction: ltr !important;
}

[dir='rtl'] .rtl-only {
    display: block !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
    #dropdown-variation-demo .btn-group .text-truncate {
        width: 254px;
        position: relative;
    }
    #dropdown-variation-demo .btn-group .text-truncate::after {
        position: absolute;
        top: 45%;
        right: 0.65rem;
    }
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    margin-top: 1rem;
}
.layout-demo-placeholder img {
    width: 900px;
}
.layout-demo-info {
    text-align: center;
    margin-top: 1rem;
}
.activity-logging-main .pagination li a {
    background-color: rgba(134, 146, 208, 0.08);
    padding: 0.745rem;
    min-width: calc(2.38155rem + 0px);
    line-height: 1;
    transform: scale(0.98);
    box-shadow: none;
    margin-left: 8px;
    border-radius: var(--bs-pagination-border-radius);
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.activity-logging-main .pagination li.active a {
    border-color: #7367f0;
    background-color: #7367f0;
    color: #fff;
    box-shadow: none;
}
.user-pagination p {
    font-size: 0.8125rem;
    color: #a5a3ae;
}
.project-description {
    display: grid;
}
.project-description td:first-child {
    border-bottom: none;
}
.snippets hr {
    margin-top: 10px;
    margin-bottom: 40px;
    border: 0;
    border-top: 1px solid #dbdade;
}
.blog-comment::before,
.blog-comment::after,
.blog-comment-form::before,
.blog-comment-form::after{
    content: "";
    display: table;
    clear: both;
}
.blog-comment ul{
    list-style-type: none;
    padding: 0;
}
.blog-comment img{
    opacity: 1;
    filter: Alpha(opacity=100);
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -o-border-radius: 4px;
    border-radius: 4px;
}
.blog-comment img.avatar {
    position: relative;
    float: left;
    margin-left: 0;
    margin-top: 0;
    width: 65px;
    height: 65px;
}
.blog-comment .post-comments{
    border: 1px solid #dbdade;
    margin-bottom: 20px;
    margin-right: 0px;
    padding: 10px 20px;
    position: relative;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -o-border-radius: 4px;
    border-radius: 4px;
    background: #fff;
    color: #6b6e80;
}
.blog-comment .meta {
    font-size: 13px;
    color: #aaaaaa;
    padding-bottom: 8px;
    margin-bottom: 10px !important;
    border-bottom: 1px solid #dbdade;
}
.blog-comment ul.comments ul{
    list-style-type: none;
    padding: 0;
    margin-left: 85px;
}
.blog-comment-form{
    padding-left: 15%;
    padding-right: 15%;
    padding-top: 40px;
}
.blog-comment h3,
.blog-comment-form h3{
    margin-bottom: 0px;
}
.pull-right {
    float: right !important;
}
.blog-comment .collapse,
.blog-comment .collapse.show {
    margin-bottom: 20px;
}
.quotation-main .badge {
    width: 17px;
    height: 17px;
    padding: 4px;
}
.offcanvas-footer {
    padding: var(--bs-offcanvas-padding-y) var(--bs-offcanvas-padding-x);
}
.language-part {
    padding-left: 40px;
}
/* .number-order {
    position: absolute;
    left: -40px;
} */
.delete-row {
    position: absolute;
    right: 12px;
    top: 8px;
}
.delete-row button {
    width: 30px;
}

@-webkit-keyframes blinker {
    from {opacity: 1.0;}
    to {opacity: 0.0;}
}
.blink {
    text-decoration: blink;
    -webkit-animation-name: blinker;
    -webkit-animation-duration: 0.6s;
    -webkit-animation-iteration-count:infinite;
    -webkit-animation-timing-function:ease-in-out;
    -webkit-animation-direction: alternate;
}
.btn-edit {
    background-color: transparent;
    box-shadow: none !important;
    border: 1px solid #c1c1c1;
    padding: 8px;
    margin-left: 8px;
}
.btn-edit:hover {
    border: 1px solid #c1c1c1;
}
.btn-edit i {
    font-size: 12px;
}
input[readonly] { background-color: #e6e6e6;
}